import 'package:flutter/material.dart';
import 'package:get/get.dart';

import 'package:varx_design_system/themes/varx_theme.dart';

class VarxApp extends StatelessWidget {
  const VarxApp({
    Key? key,
    this.primary,
    this.theme,
    this.darkTheme,
    this.textTheme,
    this.localizationsDelegates,
    this.locale,
    this.supportedLocales = const <Locale>[Locale('en', 'US')],
    this.navigatorObservers = const <NavigatorObserver>[],
    this.initialRoute,
    this.getPages,
    this.home,
  }) : super(key: key);

  final Color? primary;
  final ThemeData? theme;
  final ThemeData? darkTheme;
  final TextTheme? textTheme;
  final Iterable<LocalizationsDelegate<dynamic>>? localizationsDelegates;
  final Locale? locale;
  final Iterable<Locale> supportedLocales;
  final List<NavigatorObserver> navigatorObservers;
  final String? initialRoute;
  final List<GetPage<dynamic>>? getPages;
  final Widget? home;

  @override
  Widget build(BuildContext context) {
    return GetMaterialApp(
      theme: theme ?? VarxTheme.light(primary, textTheme),
      darkTheme: darkTheme ?? VarxTheme.dark(primary, textTheme),
      localizationsDelegates: localizationsDelegates,
      locale: locale,
      supportedLocales: supportedLocales,
      navigatorObservers: navigatorObservers,
      initialRoute: initialRoute,
      getPages: getPages,
      home: home,
    );
  }
}
