import 'package:flutter/material.dart';

class VarxAvatar extends StatelessWidget {
  const VarxAvatar({
    Key? key,
    this.name,
    this.radius,
    this.backgroundColor,
    this.onBackgroundColor,
    this.backgroundImage,
  }) : super(key: key);

  final String? name;
  final double? radius;
  final Color? backgroundColor;
  final Color? onBackgroundColor;
  final ImageProvider? backgroundImage;

  String getInitials(String fullName) => fullName.isNotEmpty
      ? fullName.trim().split(' ').map((l) => l[0]).take(2).join()
      : '';

  @override
  Widget build(BuildContext context) {
    return CircleAvatar(
      radius: radius ?? 24,
      backgroundColor: backgroundColor ?? Theme.of(context).colorScheme.primary,
      backgroundImage: backgroundImage,
      child: name != null && backgroundImage == null
          ? Text(
              getInitials(name!),
              style: Theme.of(context).primaryTextTheme.subtitle2?.copyWith(
                    fontWeight: FontWeight.w500,
                    color: onBackgroundColor ??
                        Theme.of(context).colorScheme.onPrimary,
                  ),
            )
          : null,
    );
  }
}
