import 'package:flutter/material.dart';

class ContentButton extends StatelessWidget {
  const ContentButton({
    Key? key,
    required this.prefixIcon,
    required this.label,
    required this.suffixIcon,
    required this.fullWidth,
  }) : super(key: key);

  final Widget? prefixIcon;
  final String label;
  final Widget? suffixIcon;
  final bool fullWidth;

  @override
  Widget build(BuildContext context) {
    return Row(
      mainAxisSize: fullWidth ? MainAxisSize.max : MainAxisSize.min,
      children: [
        if (prefixIcon != null) prefixIcon!,
        if (fullWidth)
          Expanded(
            child: Text(
              label,
              textAlign: TextAlign.center,
            ),
          )
        else
          Text(
            label,
            textAlign: TextAlign.center,
          ),
        if (suffixIcon != null) suffixIcon!
      ],
    );
  }
}
