import 'package:flutter/material.dart';

class LoadingButtonIndicator extends StatelessWidget {
  const LoadingButtonIndicator({
    Key? key,
    required this.loadingColor,
    this.fullWidth = true,
  }) : super(key: key);

  final Color? loadingColor;
  final bool fullWidth;

  @override
  Widget build(BuildContext context) {
    if (fullWidth) {
      return Row(
        children: [
          Expanded(
            child: Center(
              child: SizedBox(
                height: 18,
                width: 18,
                child: CircularProgressIndicator(
                  color:
                      loadingColor ?? Theme.of(context).colorScheme.onPrimary,
                  strokeWidth: 2.6,
                ),
              ),
            ),
          ),
        ],
      );
    }
    return SizedBox(
      height: 18,
      width: 18,
      child: CircularProgressIndicator(
        color: loadingColor ?? Theme.of(context).colorScheme.onPrimary,
        strokeWidth: 2.6,
      ),
    );
  }
}
