import 'package:flutter/material.dart';

class VarxIconButton extends StatelessWidget {
  const VarxIconButton({
    Key? key,
    this.onTap,
    required this.iconData,
    this.backgroundColor,
    this.iconColor,
    this.borderRadius,
  }) : super(key: key);

  final Function()? onTap;
  final IconData iconData;
  final Color? backgroundColor;
  final Color? iconColor;
  final BorderRadius? borderRadius;

  @override
  Widget build(BuildContext context) {
    return Material(
      color: backgroundColor ?? Theme.of(context).colorScheme.primaryContainer,
      shape: RoundedRectangleBorder(
        borderRadius: borderRadius ?? BorderRadius.circular(100),
      ),
      child: InkWell(
        onTap: onTap,
        borderRadius: borderRadius ?? BorderRadius.circular(100),
        child: Container(
          padding: const EdgeInsets.all(20),
          child: Icon(
            iconData,
            size: 24,
            color: iconColor ?? Theme.of(context).colorScheme.primary,
          ),
        ),
      ),
    );
  }
}
