import 'package:flutter/material.dart';
import 'package:varx_design_system/components/buttons/varx_primary_button.dart';
import 'package:varx_design_system/components/texts/text_label.dart';

class VarxLabelButton extends StatelessWidget {
  const VarxLabelButton({
    Key? key,
    this.onTap,
    this.label,
    required this.buttonText,
    this.isRequired = false,
    this.primary,
    this.onPrimary,
    this.prefixIcon,
    this.suffixIcon,
  }) : super(key: key);

  final Function()? onTap;
  final String? label;
  final String buttonText;
  final bool isRequired;
  final Color? primary;
  final Color? onPrimary;
  final Widget? prefixIcon;
  final Widget? suffixIcon;

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        if (label != null)
          TextLabel(
            label: label,
            isRequired: isRequired,
          ),
        const SizedBox(height: 8),
        VarxPrimaryButton(
          onTap: onTap,
          label: buttonText,
          primary: primary ?? Theme.of(context).colorScheme.primaryContainer,
          onprimary: onPrimary ?? Theme.of(context).colorScheme.primary,
          prefixIcon: prefixIcon,
          suffixIcon: suffixIcon,
        ),
      ],
    );
  }
}
