import 'package:flutter/material.dart';

import 'package:varx_design_system/components/buttons/varx_button.dart';
import 'package:varx_design_system/components/empty_states/empty_state.dart';

class ErrorState extends StatelessWidget {
  const ErrorState({
    Key? key,
    required this.title,
    required this.image,
    required this.message,
    this.buttonText,
    this.onTapFeedback,
  }) : super(key: key);

  final String title;
  final Widget image;
  final String message;
  final String? buttonText;
  final Function()? onTapFeedback;

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        EmptyState(
          image: image,
          title: title,
          message: message,
        ),
        const SizedBox(height: 20),
        if (buttonText != null)
          VarxButton(
            onTap: onTapFeedback,
            type: VarxButtonType.tertiary,
            label: buttonText!,
          )
      ],
    );
  }
}
