import 'package:flutter/material.dart';
import 'package:get/get.dart';

class VarxColor {
  // Neutral
  static const neutral100 = Color(0xFFFFFFFF);
  static const neutral99 = Color(0xFFFDFBFF);
  static const neutral95 = Color(0xFFF2F0F4);
  static const neutral90 = Color(0xFFE4E2E6);
  static const neutral80 = Color(0xFFC7C6CA);
  static const neutral70 = Color(0xFFACABAF);
  static const neutral60 = Color(0xFF919094);
  static const neutral50 = Color(0xFF77777B);
  static const neutral40 = Color(0xFF5E5E62);
  static const neutral30 = Color(0xFF464649);
  static const neutral20 = Color(0xFF303033);
  static const neutral10 = Color(0xFF1B1B1E);

  // Nutral Variant
  static const neutralVariant100 = Color(0xFFFFFFFF);
  static const neutralVariant99 = Color(0xFFFDFBFF);
  static const neutralVariant95 = Color(0xFFEFF0FA);
  static const neutralVariant90 = Color(0xFFE1E2EC);
  static const neutralVariant80 = Color(0xFFC5C6D0);
  static const neutralVariant70 = Color(0xFFA9ABB4);
  static const neutralVariant60 = Color(0xFF8E9099);
  static const neutralVariant50 = Color(0xFF75777F);
  static const neutralVariant40 = Color(0xFF5C5E66);
  static const neutralVariant30 = Color(0xFF44464E);
  static const neutralVariant20 = Color(0xFF2D3038);
  static const neutralVariant10 = Color(0xFF191B22);

  // Success
  static const success100 = Color(0xFFFFFFFF);
  static const success99 = Color(0xFFF4FFEF);
  static const success95 = Color(0xFFC3FFC7);
  static const success90 = Color(0xFFA1F6A8);
  static const success80 = Color(0xFF86D98E);
  static const success70 = Color(0xFF6BBD75);
  static const success60 = Color(0xFF50A15D);
  static const success50 = Color(0xFF368746);
  static const success40 = Color(0xFF166D2F);
  static const success30 = Color(0xFF00531C);
  static const success20 = Color(0xFF003910);
  static const success10 = Color(0xFF002106);

  // Warning
  static const warning100 = Color(0xFFFFFFFF);
  static const warning99 = Color(0xFFFCFCFC);
  static const warning95 = Color(0xFFFFEDE0);
  static const warning90 = Color(0xFFFFDCC2);
  static const warning80 = Color(0xFFFFB77C);
  static const warning70 = Color(0xFFF89235);
  static const warning60 = Color(0xFFD8781A);
  static const warning50 = Color(0xFFB76000);
  static const warning40 = Color(0xFF934C00);
  static const warning30 = Color(0xFF703800);
  static const warning20 = Color(0xFF4E2500);
  static const warning10 = Color(0xFF2F1400);

  // Error
  static const error100 = Color(0xFFFFFFFF);
  static const error99 = Color(0xFFFCFCFC);
  static const error95 = Color(0xFFFFEDE9);
  static const error90 = Color(0xFFFFDAD4);
  static const error80 = Color(0xFFFFB4A9);
  static const error70 = Color(0xFFFF897A);
  static const error60 = Color(0xFFFF5449);
  static const error50 = Color(0xFFDD3730);
  static const error40 = Color(0xFFBA1B1B);
  static const error30 = Color(0xFF930006);
  static const error20 = Color(0xFF680003);
  static const error10 = Color(0xFF410001);

  static const darkError = error80;
  static const darkOnError = error20;
  static const darkErrorContainer = error30;
  static const darkOnErrorContainer = error90;

  static const darkSuccess = success80;
  static const darkOnSuccess = success20;
  static const darkSuccessContainer = success30;
  static const darkOnSuccessContainer = success90;

  static const darkWarning = warning80;
  static const darkOnWarning = warning20;
  static const darkWarningContainer = warning30;
  static const darkOnWarningContainer = warning90;

  static const darkSurfaceVariant = neutralVariant30;
  static const darkOnSurfaceVariant = neutralVariant80;
  static const darkOutline = neutralVariant60;

  static Color error = !Get.isDarkMode ? error40 : darkError;
  static Color onError = !Get.isDarkMode ? error100 : darkOnError;
  static Color errorContainer = !Get.isDarkMode ? error90 : darkErrorContainer;
  static Color onErrorContainer =
      !Get.isDarkMode ? error10 : darkOnErrorContainer;

  static Color success = !Get.isDarkMode ? success40 : darkSuccess;
  static Color onSuccess = !Get.isDarkMode ? success100 : darkOnSuccess;
  static Color successContainer =
      !Get.isDarkMode ? success90 : darkSuccessContainer;
  static Color onSuccessContainer =
      !Get.isDarkMode ? success10 : darkOnSuccessContainer;

  static Color warning = !Get.isDarkMode ? warning40 : darkWarning;
  static Color onWarning = !Get.isDarkMode ? warning100 : darkOnWarning;
  static Color warningContainer =
      !Get.isDarkMode ? warning90 : darkWarningContainer;
  static Color onWarningContainer =
      !Get.isDarkMode ? warning10 : darkOnWarningContainer;

  static Color divider = !Get.isDarkMode ? neutral90 : neutral40;
}
